
#include <Wire.h>
#include "RTClib.h"
#include <DFPlayer_Mini_Mp3.h>
#include <SoftwareSerial.h>                                                          
#include <LedControl.h>
#include <avr/pgmspace.h>

LedControl lc=LedControl(6,   7, 5, 8);
//                       DIN CLK CS
 SoftwareSerial mySerial(10, 11);// 10 - RX, 11 - TX - работает
RTC_DS1307  rtc;
uint8_t isrunning(void);
const byte odt=2;//состояние опредедяет кнопка,1-вывод дату и время на М5, 0 - вывод аудиокалендаря      
//const byte data[] PROGMEM = {10, 20, 30, 40};
/* Данные для символов  чисел*/
//массивы кодов и символов русского алфавита М5
byte _0[8]={0,  126, 129, 129, 129, 129, 126, 0};
byte _1[8]={0, 0, 0, 0, 16,  32,  64,  255};
byte _2[8]={96,  129, 131, 133, 137, 113, 1, 0};
byte _3[8]={0, 0, 66,  129, 129, 137, 126};
byte _4[8]={0,  0, 8, 24,  40,  72,  255, 8};
byte _5[8]={242,  145, 145, 145, 145, 142, 0, 0};
byte _6[8]={126,  145, 145, 145, 145, 78,  0, 0};
byte _7[8]={0,  0, 128, 135, 136, 144, 160, 192};
byte _8[8]={70,  169, 145, 145, 169, 70,  0, 0};
byte _9[8]={0,  114, 137, 137, 137, 137, 126, 0};

byte A[8]={0, 127, 136, 136, 136, 136, 127,0};      //А
byte B[8]={255, 145, 145, 145, 145, 145, 78,  0};   //Б
byte W[8]={126, 153, 153, 153, 153, 153, 102, 0};   //В
byte G[8]={127, 128, 128, 128, 128, 128, 64,  0};   //Г
byte D[8]={1, 126, 130, 130, 130, 130, 126, 1};     //Д
byte E[8]={126,  137, 137, 129, 129, 129, 66,  0};  //Е
byte a[8]={62, 73,  201, 65,  193, 65,  34,  0};    //Ё
byte b[8]={129, 66,  36,  255, 255, 36,  66,  129,};//Ж
byte Z[8]={0, 0, 66,  129, 129, 137, 126};          //З
byte I[8]={0, 255, 4, 8, 16,  32,  255, 0};         //И
byte c[8]={0,  127, 4, 136, 144, 32,  127, 0};     //Й
byte K[8]={0, 255, 8, 24,  36,  66,  129, 0};       //К
byte L[8]={0, 3, 4, 8, 240, 128, 255, 0};           //Л
byte M[8]={255, 128, 64,  32,  64,  128, 255,0};    //M
byte N[8]={0, 255, 8, 8, 8, 8, 255, 0};             //H
byte O[8]={0,  126, 129, 129, 129, 129, 126, 0};    //О
byte P[8]={0, 255, 128, 128, 128, 128, 255, 0};     //П
byte R[8]={0, 127, 136, 136, 136, 136, 112, 0};     //Р
byte S[8]={0, 126, 129, 129, 129, 129, 66,  0};     //С
byte T[8]={64, 128, 128, 255, 128, 128, 128, 64};   //Т
byte Y[8]={0, 0, 128, 64,  32,  17,  255, 0};       //У 
byte F[8]={28, 34,  34,  255, 34,  34,  28,  0};    //Ф 
byte X[8]={129, 66,  36,  24,  24,  36,  66,  129}; //X
byte C[8]={0, 254, 2, 2, 2, 254, 1, 0};             //Ц
byte d[8]={0,  240, 8, 8, 8, 8, 255, 0};           //Ч
byte e[8]={0,  255, 1, 1, 255, 1, 255, 0};         //Ш
byte f[8]={254,  2, 254, 2, 2, 254, 1, 0};         //Щ
byte g[8]={128, 126, 17,  17,  17,  17,  14,  0}; //Ъ
byte h[8]={255,  17,  17,  17,  17,  14,  0, 255}; //Ы
byte i[8]={0, 254, 17,  17,  17,  17,  14,  0};   //Ь
byte j[8]={0,  66,  129, 129, 137, 137, 126, 0};   //Э твёрдое Е 
byte k[8]={0, 255, 8, 126, 129, 129, 126, 0};       //Ю
byte m[8]={3,  116, 136, 136, 136, 136, 127, 0};   //Я
byte n[8]={0,0,0,0,0,0,0,0};                      //пробел
byte o[8]={0, 0, 8, 8, 8, 8, 0, 0};               //минус
byte p[8]={0,  8, 8, 62,  8, 8, 0, 0};           //плюс
byte q[8]={0, 0, 2, 1, 0, 0, 0, 0};               //запятая
byte r[8]={0, 0, 0, 36,  0, 0, 0, 0};             //двоеточие
byte s[8]={1, 2, 4, 8, 16,  32,  64,  128};     //слэш "/"
byte t[8]={0,  0, 0, 0, 0, 192, 192, 0};         //градус
byte u[]={0,  0, 0, 253, 0, 0, 0, 0};             //восключ.знак!
byte v[8]={0, 6, 9, 17,  161, 1, 2, 0};           //вопрос.знак?


void audio_kalendar()
{
   #define  t1  delay(2000);//delay(1300); 
   byte chas,_min,mes,chis_mes,den_ned;
   int god;

    DateTime now = rtc.now();
    chas=now.hour();
   _min=now.minute();
    chis_mes=now.day();         //число месяца, например двадцать четвёртое 
    mes=now.month();            //имя месяца,например февраль
    den_ned=now.dayOfTheWeek(); //день недели,например четверг
    god=now.year();             //год,например две тысячи тридцать шестой 
/*  
    Serial.print("час=");Serial.println(chas);
    Serial.print("минуты=");Serial.println(_min);
    Serial.print("день недели=");Serial.println(den_ned);
*/
    switch (chas)
    {
      case 0:mp3_play(112);t1   mp3_play(110);t1 break;
      case 1:mp3_play(82); t1   mp3_play(109);t1 break;
      case 2:mp3_play(84); t1   mp3_play(111);t1 break;
      case 3:mp3_play(86); t1   mp3_play(111);t1 break;
      case 4:mp3_play(87); t1   mp3_play(111);t1 break;
      case 5:mp3_play(88); t1   mp3_play(110);t1 break;
      case 6:mp3_play(89); t1   mp3_play(110); t1 break;
      case 7:mp3_play(90); t1   mp3_play(110);t1 break;
      case 8:mp3_play(91); t1   mp3_play(110);t1 break;
      case 9:mp3_play(92); t1   mp3_play(110);t1 break;
      case 10:mp3_play(93);t1   mp3_play(110);t1 break;
      case 11:mp3_play(94);t1   mp3_play(110);t1 break;
      case 12:mp3_play(95);t1   mp3_play(110);t1 break;
      case 13:mp3_play(96);t1   mp3_play(110);t1 break;
      case 14:mp3_play(97);t1   mp3_play(110);t1 break;
      case 15:mp3_play(98); t1  mp3_play(110);t1 break;
      case 16:mp3_play(99); t1  mp3_play(110);t1 break;
      case 17:mp3_play(100);t1  mp3_play(110);t1 break;
      case 18:mp3_play(101);t1  mp3_play(110);t1 break;
      case 19:mp3_play(102);t1  mp3_play(110);t1 break;
      case 20:mp3_play(103);t1  mp3_play(110);t1 break;
      case 21:mp3_play(103); t1 mp3_play(82);t1 mp3_play(109);t1 break;
      case 22:mp3_play(103); t1 mp3_play(84);t1 mp3_play(111);t1 break;
      case 23:mp3_play(103); t1 mp3_play(86);t1 mp3_play(111);t1 break;
    }

    switch (_min)
    {
     case 0:mp3_play(112); t1 mp3_play(108);t1 break;
     case 1:mp3_play(83);  t1 mp3_play(107);t1 break;
     case 2:mp3_play(85);  t1 mp3_play(113);t1 break;
     case 3:mp3_play(86);  t1 mp3_play(113);t1 break;
     case 4:mp3_play(87);  t1 mp3_play(113);t1 break;
     case 5:mp3_play(88);  t1 mp3_play(108);t1 break;
     case 6:mp3_play(89);  t1 mp3_play(108);t1 break;
     case 7:mp3_play(90);  t1 mp3_play(108);t1 break;
     case 8:mp3_play(91);  t1 mp3_play(108);t1 break;
     case 9:mp3_play(92);  t1 mp3_play(108);t1 break;
     case 10:mp3_play(93); t1 mp3_play(108);t1 break;
     case 11:mp3_play(94); t1 mp3_play(108);t1 break;
     case 12:mp3_play(95); t1 mp3_play(108);t1 break;
     case 13:mp3_play(96); t1 mp3_play(108);t1 break;
     case 14:mp3_play(97); t1 mp3_play(108);t1 break;
     case 15:mp3_play(98); t1 mp3_play(108);t1 break;
     case 16:mp3_play(99); t1 mp3_play(108);t1 break;
     case 17:mp3_play(100); t1 mp3_play(108);t1 break;
     case 18:mp3_play(101); t1 mp3_play(108);t1 break;
     case 19:mp3_play(102); t1 mp3_play(108);t1 break;
     case 20:mp3_play(103); t1 mp3_play(108);t1 break;
     case 21:mp3_play(103); t1 mp3_play(83);t1 mp3_play(107);t1 break;
     case 22:mp3_play(103); t1 mp3_play(85);t1 mp3_play(113);t1 break;
     case 23:mp3_play(103); t1 mp3_play(86);t1 mp3_play(113);t1 break;
     case 24:mp3_play(103); t1 mp3_play(87);t1 mp3_play(113);t1 break;
     case 25:mp3_play(103); t1 mp3_play(88);t1 mp3_play(108);t1 break;
     case 26:mp3_play(103); t1 mp3_play(89);t1 mp3_play(108);t1 break;
     case 27:mp3_play(103); t1 mp3_play(90);t1 mp3_play(108);t1 break;
     case 28:mp3_play(103); t1 mp3_play(91);t1 mp3_play(108);t1 break;
     case 29:mp3_play(103); t1 mp3_play(92);t1 mp3_play(108);t1 break;
     case 30:mp3_play(104); t1 mp3_play(108);t1 break;
     case 31:mp3_play(104); t1 mp3_play(83);t1 mp3_play(107);t1 break;
     case 32:mp3_play(104); t1 mp3_play(85);t1 mp3_play(113);t1 break;
     case 33:mp3_play(104); t1 mp3_play(86);t1 mp3_play(113);t1 break;
     case 34:mp3_play(104); t1 mp3_play(87);t1 mp3_play(113);t1 break;
     case 35:mp3_play(104); t1 mp3_play(88);t1 mp3_play(108);t1 break;
     case 36:mp3_play(104); t1 mp3_play(89);t1 mp3_play(108);t1 break;
     case 37:mp3_play(104); t1 mp3_play(90);t1 mp3_play(108);t1 break;
     case 38:mp3_play(104); t1 mp3_play(91);t1 mp3_play(108);t1 break;
     case 39:mp3_play(104); t1 mp3_play(92);t1 mp3_play(108);t1 break;
     case 40:mp3_play(105); t1 mp3_play(108);t1 break;
     case 41:mp3_play(105); t1 mp3_play(83);t1 mp3_play(107);t1 break;
     case 42:mp3_play(105); t1 mp3_play(85);t1 mp3_play(113);t1 break;
     case 43:mp3_play(105); t1 mp3_play(86);t1 mp3_play(113);t1 break;
     case 44:mp3_play(105); t1 mp3_play(87);t1 mp3_play(113);t1 break;
     case 45:mp3_play(105); t1 mp3_play(88);t1 mp3_play(108);t1 break;
     case 46:mp3_play(105); t1 mp3_play(89);t1 mp3_play(108);t1 break;
     case 47:mp3_play(105); t1 mp3_play(90);t1 mp3_play(108);t1 break;
     case 48:mp3_play(105); t1 mp3_play(91);t1 mp3_play(108);t1 break;
     case 49:mp3_play(105); t1 mp3_play(92);t1 mp3_play(108);t1 break;
     case 50:mp3_play(106); t1 mp3_play(108);t1 break;
     case 51:mp3_play(106); t1 mp3_play(83); t1 mp3_play(107);t1 break;
     case 52:mp3_play(106); t1 mp3_play(85); t1 mp3_play(113);t1 break;
     case 53:mp3_play(106); t1 mp3_play(86); t1 mp3_play(113);t1 break;
     case 54:mp3_play(106); t1 mp3_play(87); t1 mp3_play(113);t1 break;
     case 55:mp3_play(106); t1 mp3_play(88); t1 mp3_play(108);t1 break;
     case 56:mp3_play(106); t1 mp3_play(89); t1 mp3_play(108);t1 break;
     case 57:mp3_play(106); t1 mp3_play(90); t1 mp3_play(108);t1 break;
     case 58:mp3_play(106); t1 mp3_play(91); t1 mp3_play(108);t1 break;
     case 59:mp3_play(106); t1 mp3_play(92); t1 mp3_play(108);t1 break;
    
    } 
  
   switch (chis_mes)
    {
      case 1:mp3_play(9);    break;//первое
      case 2:mp3_play(10);   break;//второе
      case 3:mp3_play(11);   break;//третье
      case 4:mp3_play(12);   break;//четвёртое
      case 5:mp3_play(13);   break;//пятое
      case 6:mp3_play(14);   break;//шестое
      case 7:mp3_play(15);   break;//седьмое
      case 8:mp3_play(16);   break;//восьмое
      case 9:mp3_play(17);   break;//девятое
      case 10:mp3_play(18);  break;//десятое
      case 11:mp3_play(19);  break;//одиннацатое
      case 12:mp3_play(20);  break;//двенадцатое
      case 13:mp3_play(21);  break;//тринадцатое
      case 14:mp3_play(22);  break;//четырнадцатое
      case 15:mp3_play(23);  break;//пятнадцатое
      case 16:mp3_play(24);  break;//шестнадцатое
      case 17:mp3_play(25);  break;//семнадцатое
      case 18:mp3_play(26);  break;//восемнадцатое
      case 19:mp3_play(27);  break;//девятнадцатое
      case 20:mp3_play(28);  break;//двадцатое
      case 21:mp3_play(29);  break;//двадцать первое
      case 22:mp3_play(30);  break;//двадцать второе
      case 23:mp3_play(31);  break;//двадцать третье
      case 24:mp3_play(32);  break;//двадцать четвёртое
      case 25:mp3_play(33);  break;//двадцать пятое
      case 26:mp3_play(34);  break;//двадцать шестое
      case 27:mp3_play(35);  break;//двадцать седьмое
      case 28:mp3_play(36);  break;//двадцать восьмое
      case 29:mp3_play(37);  break;//двадцать девятое
      case 30:mp3_play(38);  break;//тридцатое
      case 31:mp3_play(39);  break;//тридцать первое
    }
                 t1
    switch (mes) 
    {
      case 1:mp3_play(40); break;//января
      case 2:mp3_play(41); break;//февраля
      case 3:mp3_play(42); break;//марта  
      case 4:mp3_play(43); break;//апреля
      case 5:mp3_play(44); break;//мая
      case 6:mp3_play(45); break;//июня
      case 7:mp3_play(46); break;//июля
      case 8:mp3_play(47); break;//августа
      case 9:mp3_play(48); break;//сентября
      case 10:mp3_play(49); break;//октября
      case 11:mp3_play(50); break;//ноября
      case 12:mp3_play(51); break;//декабря
    }
                t1
    switch (den_ned) 
    {
      case 0:mp3_play(8);    break;//воскресение
      case 1:mp3_play(2);    break;//понедельник      
      case 2:mp3_play(3);    break;//вторник
      case 3:mp3_play(4);    break;//среда
      case 4:mp3_play(5);    break;//четверг
      case 5:mp3_play(6);    break;//пятница
      case 6:mp3_play(7);    break;//субота
    }
            t1 t1     
   switch (god) 
    {
      case 2024:mp3_play(52); break;
      case 2025:mp3_play(53); break;//две тысячи двадцать пятого года
      case 2026:mp3_play(54); break;//две тысячи двадцать шестого года  
      case 2027:mp3_play(55); break;//две тысячи двадцать седьмого года
      case 2028:mp3_play(56); break;//две тысячи двадцать восьмого года
      case 2029:mp3_play(57); break;//две тысячи двадцать девятого года
      case 2030:mp3_play(58); break;//две тысячи тридцатого года
      case 2031:mp3_play(59); break;//две тысячи тридцать первого года
      case 2032:mp3_play(60); break;//две тысячи тридцать второго года
      case 2033:mp3_play(61); break;//две тысячи тридцать третьего года
      case 2034:mp3_play(62); break;//две тысячи тридцать четвёртого года
      case 2035:mp3_play(63); break;//две тысячи тридцать пятогго года
      case 2036:mp3_play(64); break;//две тысячи тридцать шестого года
    }
             t1
}

byte *sw(byte tim)
{
 byte *x1;
    switch (tim) 
  {
    case 0: x1 = &_0[0]; break;
    case 1: x1 = &_1[0]; break;
    case 2: x1 = &_2[0]; break;
    case 3: x1 = &_3[0]; break;
    case 4: x1 = &_4[0]; break;
    case 5: x1 = &_5[0]; break;
    case 6: x1 = &_6[0]; break;
    case 7: x1 = &_7[0]; break;
    case 8: x1 = &_8[0]; break;
    case 9: x1 = &_9[0]; break;
  }
   return x1;
}

byte *sw1(char simvol)
{
 byte *p;
    switch (simvol) 
  {
    case 'A': p = &A[0]; break;
    case 'B': p = &B[0]; break;
    case 'W': p = &W[0]; break;
    case 'G': p = &G[0]; break;
    case 'D': p = &D[0]; break;
    case 'E': p = &E[0]; break;
    case 'a': p = &a[0]; break;
    case 'b': p = &b[0]; break;

    case 'Z': p = &Z[0]; break;
    case 'I': p = &I[0]; break;
    case 'c': p = &c[0]; break;
    case 'K': p = &K[0]; break;
    case 'L': p = &L[0]; break;
    case 'M': p = &M[0]; break;
    case 'N': p = &N[0]; break;
    case 'O': p = &O[0]; break;

    case 'P': p = &P[0]; break;
    case 'R': p = &R[0]; break;
    case 'S': p = &S[0]; break;
    case 'T': p = &T[0]; break;
    case 'Y': p = &Y[0]; break;
    case 'F': p = &F[0]; break;
    case 'X': p = &X[0]; break;
    case 'C': p = &C[0]; break;
    
    case 'd': p = &d[0]; break;
    case 'e': p = &e[0]; break;
    case 'f': p = &f[0]; break;
    case 'g': p = &g[0]; break;
    case 'h': p = &h[0]; break;
    case 'i': p = &i[0]; break;
    case 'j': p = &j[0]; break;
    case 'k': p = &k[0]; break;

    case 'm': p = &m[0]; break;
    case 'n': p = &n[0]; break;
    case 'o': p = &o[0]; break;
    case 'p': p = &p[0]; break;
    case 'q': p = &q[0]; break;
    case 'r': p = &r[0]; break;
    case 's': p = &s[0]; break;
    case 't': p = &t[0]; break;
  
  }
   return p;
}
void f2(String s)
{
  si(sw1(s[0]),sw1(s[1]),sw1(s[2]),sw1(s[3]),sw1(s[4]),sw1(s[5]),sw1(s[6]),sw1(s[7]));

}


void si(byte *x0,byte *x1,byte *x2,byte *x3,byte *x4,byte *x5,byte *x6,byte *x7)
{
 byte i;
 for(i=0;i<8;i++) lc.setColumn(0,i,x0[i]);
 for(i=0;i<8;i++) lc.setColumn(1,i,x1[i]);
 for(i=0;i<8;i++) lc.setColumn(2,i,x2[i]);
 for(i=0;i<8;i++) lc.setColumn(3,i,x3[i]);
 for(i=0;i<8;i++) lc.setColumn(4,i,x4[i]);
 for(i=0;i<8;i++) lc.setColumn(5,i,x5[i]);
 for(i=0;i<8;i++) lc.setColumn(6,i,x6[i]);
 for(i=0;i<8;i++) lc.setColumn(7,i,x7[i]);
}

//запись в матрицу
void s1(byte *x0,byte *x1,byte *x2,byte *x3,byte *x4,byte *x5,byte *x6,byte *x7)
{
 byte i;
 for(i=0;i<8;i++) lc.setColumn(0,i,x0[i]);
 for(i=0;i<8;i++) lc.setColumn(1,i,x1[i]);
 for(i=0;i<8;i++) lc.setColumn(2,i,x2[i]);
 for(i=0;i<8;i++) lc.setColumn(3,i,x3[i]);
 for(i=0;i<8;i++) lc.setColumn(4,i,x4[i]);
 for(i=0;i<8;i++) lc.setColumn(5,i,x5[i]);
 for(i=0;i<8;i++) lc.setColumn(6,i,x6[i]);
 for(i=0;i<8;i++) lc.setColumn(7,i,x7[i]);
}

//-----------------озвучивание  поздравлений-----------------
void pzdr()
{ 
  #define  t2  delay(20000); 
  DateTime now = rtc.now();
  if(now.hour()==10 && now.minute()==10 && now.second() < 20 )
  {
   if((now.month()==4) && (now.day()==21)) mp3_play(73);t2//Я
   if((now.month()==7) && (now.day()==10)) mp3_play(66);t2//Люба
   if((now.month()==3) && (now.day()==8))  mp3_play(69);t2//8 марта
   if((now.month()==2) && (now.day()==23)) mp3_play(70);t2//23 февраля
   if((now.month()==11)&& (now.day()==14)) mp3_play(71);t2//Боря
   if((now.month()==11)&& (now.day()==17)) mp3_play(72);t2//Витя
   if((now.month()==2) && (now.day()==7))  mp3_play(74);t2//Даша
   if((now.month()==12) &&(now.day()==9))  mp3_play(75);t2//Ира
   if((now.month()==9) && (now.day()==29)) mp3_play(76);t2//Маша
   if((now.month()==8) && (now.day()==7))  mp3_play(77);t2//Мише от мамы
   if((now.month()==11)&& (now.day()==17)) mp3_play(78);t2//Наташа
   if((now.month()==4) && (now.day()==18)) mp3_play(79);t2//Сергей
   if((now.month()==4) && (now.day()==8))  mp3_play(80);t2//Таня
   if((now.month()==1) && (now.day()==29))  mp3_play(80);t2//Саша
  }
}

void pro_nayky1() 
{  
#define t delay(300);

  // "ТЕОРИЯ--"       "--ЭТО---"       "-КОГДА--"       "--ВСЁ---"       "ИЗВЕСТНО"  
  f2("TEORImnn");t f2("nnjTOnnn");t f2("nKOGDAnn");t f2("nnWSannn");t f2("IZWESTNO");t
  // "--НО----"       "-НИЧЕГО-"       "---НЕ---"       "РАБОТАЕТ"       "        "  
  f2("nnNOnnnn");t f2("nNIdEGOn");t f2("nnnNEnnn");t f2("RABOTAET");t

  // "ПРАКТИКА"       "--ЭТО---"       "-КОГДА--"       "--ВСЁ---"       "РАБОТАЕТ"  
  f2("PRAKTIKA");t f2("nnjTOnnn");t f2("nKOGDAnn");t f2("nnWSannn");t f2("RABOTAET");t
  // "---НО---"       "--НИКТО-"       "НЕ ЗНАЕТ"       "--КАК---"       "        "  
  f2("nnNOnnnn");t f2("nnNIKTOn");t f2("NEnZNAET");t f2("nnKAKnnn");t

  // "КОГДА---"       "ТЕОРИЮ--"       "----И---"       "ПРАКТИКУ"       "СОЕДИНЯЮ"  
  f2("nKOGDAnn");t f2("TEORIknn");t f2("nnnnInnn");t f2("PRAKTIKY");t f2("SOEDINmk");t
  // "НИЧЕГО--"       "НЕ------"       "РАБОТАЕТ"       "И НИКТО-"       "НЕ ЗНАЕТ"  
  f2("NIdEGOnn");t f2("NEnnnnnn");t f2("RABOTAET");t f2("InNIKTOn");t f2("NEnZNAET");t
  // "ПОЧЕМУ--"   
  f2("POdEMYnn"); 
}
// const char z0[] PROGMEM="ZDOROWiE";
void pro_zdrw1()//про здоровье 
{  
#define t delay(300);
   //"ЗДОРОВЬЕ"       "ДАЁТСЯ--"       "НАМ-----"       "ОТ------"       "РОЖДЕНИЯ"  
  f2("ZDOROWiE");t f2("DAaTSmnn");t f2("NAMnnnnn");t f2("OTnnnnnn");t f2("RObDENIm");t
   //"БЕСПЛАТН"       "ПОЭТОМУ-"       "ЕГО-----"       "НИКТО---"       "НЕ-ЦЕНИТ"  
  f2("BESPLATN");t f2("POjTOMYn");t f2("EGOnnnnn");t f2("NIKTOnnn");t f2("NEnCENIT");t
   //"ДО-ТЕХ--"       "ПОР-----"       "ПОКА ЗА-"       "НЕГО----"       "НАЧИНАЕМ"  
  f2("DOnTEXnn");t f2("PORnnnnn");t f2("POKAnZAn");t f2("NEGOnnnn");t f2("NAdINAEM");t
   //"ПЛАТИТЬ-"       "АПТЕКАМ-"       "И-ВРАЧАМ" 
  f2("PLATITin");t f2("APTEKAMn");t f2("InWRAdAM");t
}
void pro_time1() 
{  
#define t delay(300);
   //"ВРЕМЯ---"       "ВЕЛИКИЙ-"       "УЧИТЕЛЬ-"        "НО-ОНО--"       "УБИВАЕТ-"  
  f2("WREMmnnn");t f2("WELIKIcn");t f2("YdITELin");t  f2("NOnONOnn");t f2("YBIWAETn");t
   //"ВСЕХ----"       "СВОИХ---"       "УЧЕНИКОВ"  
  f2("WSEXnnnn");t f2("SWOIXnnn");t f2("YdENIKOW");t
}
void pro_time2() 
{  
#define t delay(300);
   //"ЕСЛИ----"       "ты------"       "хочешь--"        "ПЕРЕМЕНУ"       "В-------"  
  f2("ESLInnnn");t f2("Thnnnnnn");t f2("XOdEeinn");t  f2("PEREMENY");t f2("Wnnnnnnn");t
   //"будущем-"       "СМЕНИСЬ-"       "СЕГОДНЯ-"     
  f2("BYDYfEMn");t f2("SMENISin");t f2("SEGODNmn");t  
 }
void pro_time3()
{
#define t delay(300);
  
   //"Мы-не---"       "знаем---"       "что-----"        "сделать-"       "с-нашей-"  
  f2("MhnNEnnn");t f2("ZNAEMnnn");t f2("dTOnnnnn");t  f2("SDELATin");t f2("SnNAeEcn");t
   //"короткой"       "жизнью--"       "но-всё--"       "ТАКИ----"         "желаем--"       "жить----"    
  f2("KOROTKOc");t f2("bIZNiknn");t f2("NOnWSann");t f2("TAKInnnn");t   f2("bELAEMnn");t f2("bITinnnn");t 
   //"вечно---"
  f2("WEdNOnnn");
}
void pro_time4()
{
#define t delay(300);
   //"Глупо---"       "строить-"       "планы---"       "на-всю--"         "жизнь---"       "не------"    
  f2("GLYPOnnn");t f2("STROITin");t f2("PLANhnnn");t f2("NAnWSknn");t   f2("bIZNinnn");t f2("NEnnnnnn");t 
   //"будучи--"       "хозяином"       "ДАЖЕ----"        "завтра--"
  f2("BYDYdInn");t f2("XOZmINOM");t f2("DAbEnnnn");t  f2("ZAWTRAnn");t 
}
/*
void clear8M() {
 f2("nnnnnnnn");f2("nnnnnnnn");f2("nnnnnnnn");f2("nnnnnnnn");
 f2("nnnnnnnn");f2("nnnnnnnn");f2("nnnnnnnn");f2("nnnnnnnn");
}
*/
void setup() 
{
 int devices=lc.getDeviceCount();
 Serial.println(devices);  
 //нам нужно инициализировать все устройства в цикле
 for(int address=0;address<devices;address++) 
 {
    /*MAX72XX при запуске находится в режиме энергосбережения.*/
    lc.shutdown(address,false);
    /* Установите яркость на средние значения. */
    lc.setIntensity(address,0);
    /* и очистить дисплей */
    lc.clearDisplay(address);
  }
 Serial.begin(9600);
 if (! rtc.begin())  Serial.println("Не могу найти часы");
 else Serial.println("часы найдены");
 if (! rtc.isrunning()){ Serial.println("RTC is NOT running!");}
 rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));   
 mySerial.begin (9600); // открываем софт-порт
 mp3_set_serial (mySerial); // задаем порт для плеера
 mp3_set_volume (30); //устанавливаем уровень громкости
 pinMode(odt,INPUT_PULLUP);

}
void loop() 
{
  byte chas,_min;

  DateTime now = rtc.now();
  chas=now.hour();
  _min=now.minute();
  s1(&n[0],&n[0],sw(chas/10),sw(chas%10),&r[0],sw(_min/10),sw(_min%10),&n[0]);
  if(!digitalRead(odt)) audio_kalendar();//иначе 
    pzdr();                      

  if(_min==10)  pro_time1();
  if(_min==20)  pro_time2();
  if(_min==30)  pro_time3();
  if(_min==40)  pro_time4();
//  if(_min=50)   pro_nayky1(); 
//  pro_zdrw1();//clear8M();

}
